<template>

    <main>
        <p> Recherche des article? </p>
        <input type="text" v-model="input" placeholder="Vous cherchez quelques-choses..?" >

        <p class="bg"> Recherche </p>

        {{ input }}
    </main>

    
    <div v-for="article of articles" :key="article.id">
    
        <p>{{ article.titre }}</p>
    </div>

    <div class="row">

    <div v-for="article of articles" :key="article.id">
    <div class="col s4 m4">

    <div class="card">
        <div class="card-image">
        <RouterLink :to="'/article/' + article.id" active-class="active" ><img :src=" article.photo"></RouterLink>
        <span class="card-title">{{ article.titre }}</span>
        <a class="bt n-floating halfway-fab waves-effect waves-light red"><i class="material-icons">+</i></a>
    </div>

    <div class="card-content">
        <p> {{ article.text}}</p>
    </div>
    </div>

    </div>
</div>

</div>

</template>

<script setup lang="ts">
import type { Article } from "@/entities";
import { onMounted, ref, watch } from "vue";
import { useRoute, useRouter } from "vue-router";
import { fetchIdCategoArticles, fetchOneArticles } from '@/service/article-service';
import { fetchSearchAllArticles } from '@/service/article-service';

const router = useRouter();
let input = ref("");
const route = useRoute();
const article = ref<Article>();
const articles = ref<Article[]>([]);
//const article =  ref<Article>();

watch(() => route.params.id, async () =>{
        article.value = await fetchOneArticles(route.params.id);
    }, {immediate:true})

onMounted(async()=>{
    articles.value = await fetchSearchAllArticles(input.value);
})


</script>

<style scoped>
main{
    background-color: rgb(188, 208, 209);
    padding: 30px;
    margin: 3rem;
}

p{
    font-family: "Quicksand", sans-serif;
    font-size: 30px;
    margin: 20px;
}

input{
    width: 5rem;
    font-size: 2rem;
}

.bg{
    font-size: 20px;
    text-align: center;
    background-color:aliceblue;
    padding: 10px;
    margin: 20px;
    width: 20rem;

    border: 2px solid rgb(188, 208, 209);
    border-radius: 20px;

}
</style>